#ifndef GUI_WX_DEMO___WM_FRAME_WINDOW_HPP
#define GUI_WX_DEMO___WM_FRAME_WINDOW_HPP

/*  $Id: wx_wm_frame_window.hpp 18397 2008-11-28 19:45:17Z dicuccio $
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * Authors:  Andrey Yazhuk
 *
 * File Description:
 *
 */

#include <corelib/ncbistd.hpp>

#include "wx/frame.h"


BEGIN_NCBI_SCOPE

///////////////////////////////////////////////////////////////////////////////
///  CwxWMFrameWndPos - position in CwxWMFrameWindow
/*
class CwxWMFrameWndPos :    public  IWMPosition
{
public:
    CwxWMFrameWndPos();
    virtual ~CwxWMFrameWndPos();

    /// @name IWMPosition implementation
    /// @{
    virtual IWMPosition*    Clone() const;
    /// @{
};


///////////////////////////////////////////////////////////////////////////////
///  CwxWMFrameWindow - CWindowManager-compatible frame window.
class CwxWMFrameWindow  :   public  wxFrame,
                            public  IWMContainer
{
    DECLARE_EVENT_TABLE();
public:
    typedef wxFrame TParent;

    CwxWMFrameWindow(wxWindow* parent, IWindowManager* manager);
    virtual ~CwxWMFrameWindow();

    bool    IsMinimized();

    /// @name IWMContainer implementation
    /// @{
    virtual void    SetManager(IWindowManager* manager);

    virtual bool    IsOccupied(const IWMPosition& pos) const;
    virtual bool    IsAvailable(const IWMPosition& pos) const;
    virtual TChild* GetChild(const IWMPosition& pos);
    virtual IWMPosition*    GetChildPos(const TChild* child) const;

    virtual bool    Insert(TChild* widget, const IWMPosition& pos, const string& label);
    virtual bool    Remove(const IWMPosition& pos);
    virtual bool    Remove(TChild* child);
    virtual void    RemoveAll();
    virtual bool    MoveToPos(TChild* child, const IWMPosition& pos);

    virtual int     GetChildrenCount() const;
    virtual void    GetChildren(vector<TChild*>& children);
    virtual void    GetPosToChildMap(TPosToChildMap& map) const;

    //virtual IWMContainerDescr*  GetDescr() const;
    /// @}

    void    OnCloseWindow(wxCloseEvent& event);
    void    OnChildFocus(wxChildFocusEvent& evt);

protected:
    IWindowManager* m_WindowManager;
    string          m_Label;
    TChild*         m_Client;
};
*/

END_NCBI_SCOPE

#endif  // GUI_WX_DEMO___WM_FRAME_WINDOW_HPP
