# $Id: Makefile.gbench_new.app 27622 2013-03-13 19:34:06Z katargir $

ASN_DEP = seq seqset pubmed

APP = gbench-bin

SRC = gui gbench_app app_extensions app_services browser_config commands \
      feedback_wizard gbench_version network_options_page \
      aboutdlg init \
      read_pipe_thread wakeup_thread \
      named_pipe_process_task named_pipe_def_client \
      net_conn_problem_dlg testing_ncbi_conn_dlg \
      new_version_dlg

CPPFLAGS = $(ORIG_CPPFLAGS) $(GLEW_INCLUDE) $(WXWIDGETS_INCLUDE)

LIB  = gui_core gui_framework gui_objects w_object_list w_aln_multi \
       w_aln_score w_macro_edit w_gl w_wx w_data \
       gui_opengl snputil gui_objutils variation gui_utils \
       xcleanup xalnmgr xalgoalignutil tables pubmed xobjutil \
       entrezgene entrez2cli entrez2 valerr \
       ximage xregexp xconnserv xconnect \
       dbapi_driver ncbi_xcache_sqlite3 \
       $(BLAST_LIBS) $(PCRE_LIB) $(COMPRESS_LIBS) $(XCONNEXT) $(OBJMGR_LIBS) \
       xmlwrapp $(EUTILS_LIBS)

LIBS = $(WXWIDGETS_GL_LIBS) $(WXWIDGETS_LIBS) $(GLEW_LIBS) $(SQLITE3_LIBS) \
       $(IMAGE_LIBS) $(PCRE_LIBS) $(CMPRS_LIBS) $(NETWORK_LIBS) $(DL_LIBS) \
       $(ORIG_LIBS) $(LIBXML_LIBS)

REQUIRES = gbench wxWidgets OpenGL WinMain
