# $Id: Makefile.gbproject.app 28038 2013-05-06 20:59:53Z rafanovi $

APP = gbproject

SRC = gbproject_tool fileloader projectfilewriter

LIB_ = gui_objects gui_objutils variation snputil gui_utils xalgoalignutil $(XFORMAT_LIBS) xobjread \
       biotree pubmed gbseq xobjsimple snputil \
       entrezgene entrez2cli entrez2 submit valerr xalnmgr \
       xqueryparse $(BLAST_LIBS) $(OBJMGR_LIBS) xmlwrapp $(EUTILS_LIBS)

LIB = $(LIB_:%=%$(STATIC))

LIBS = $(CMPRS_LIBS) $(NETWORK_LIBS) $(LIBXSLT_LIBS) $(LIBXML_LIBS) \
	   $(DL_LIBS) $(ORIG_LIBS)

LDFLAGS = $(FAST_LDFLAGS)

REQUIRES = objects algo OpenGL -LimitedLinker
