#ifndef __glutbitmap_h__
#define __glutbitmap_h__

/* Copyright (c) Mark J. Kilgard, 1994, 1998. */

/* This program is freely distributable without licensing fees
   and is provided without guarantee or warrantee expressed or
   implied. This program is -not- in the public domain. */

#include <ncbiconf.h>
#ifdef NCBI_OS_MSWIN
#  include <windows.h>
#endif

#include <gui/opengl.h>


typedef struct {
  GLsizei width;
  GLsizei height;
  GLfloat xorig;
  GLfloat yorig;
  GLfloat advance;
  const GLubyte *bitmap;
} BitmapCharRec, *BitmapCharPtr;

typedef struct {
  const char *name;
  int num_chars;
  int first;
  const BitmapCharRec* const * ch;
} BitmapFontRec, *BitmapFontPtr;

#endif /* __glutbitmap_h__ */
