# $Id: Makefile.demo_cross_aln.app 27512 2013-02-27 21:05:58Z wuliangs $

APP = demo_crossaln_wx

PROJ_TAG = demo

SRC = wx_cross_aln_demo_app cross_aln_demo_dlg

CPPFLAGS = $(ORIG_CPPFLAGS) $(GLEW_INCLUDE) $(OPENGL_INCLUDE) $(WXWIDGETS_INCLUDE)

LIB = w_aln_crossaln w_hit_matrix w_data w_gl w_wx gui_graph gui_opengl \
      gui_print gui_objutils variation snputil gui_utils xalgoalignutil xalnmgr valerr \
      entrezgene biotree entrez2cli entrez2 submit $(BLAST_LIBS) \
      xqueryparse ximage $(COMPRESS_LIBS) xregexp $(PCRE_LIB) \
	  xmlwrapp $(EUTILS_LIBS) $(OBJMGR_LIBS)


LIBS = $(WXWIDGETS_GL_LIBS) $(WXWIDGETS_LIBS) $(GLEW_LIBS) $(OPENGL_LIBS) \
       $(LIBXSLT_LIBS) $(LIBXML_LIBS) $(IMAGE_LIBS) $(PCRE_LIBS) $(CMPRS_LIBS) \
       $(NETWORK_LIBS) $(FTGL_LIBS) $(GLEW_LIBS) $(DL_LIBS) $(ORIG_LIBS)


#POST_LINK = $(WX_POST_LINK)

REQUIRES = objects OpenGL wxWidgets WinMain
