/* $Id: syslock-priv.h 15344 2013-04-10 15:57:48Z ucko $ */

#ifdef __linux__
#  include "linux/syslock-priv.h"
#elif defined(__FreeBSD__)  ||  defined(__NetBSD__)  ||  defined(__OpenBSD__) \
  ||  defined(__APPLE__)
#  include "bsd/syslock-priv.h"
#elif defined(__SunOS)  ||  defined(__sun__)
#  include "sun/syslock-priv.h"
#elif defined(_WIN32)
#  include "win/syslock-priv.h"
#else
#  ifdef __GNUC__
#    warning "Unsupported OS; falling back to ST lock"
#  endif
#endif
