#ifndef GUI_CORE___DATA_FACTORY__HPP
#define GUI_CORE___DATA_FACTORY__HPP

/*  $Id: data_factory.hpp 17733 2008-09-10 20:26:39Z yazhuk $
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * Authors:  Mike DiCuccio
 *
 * File Description:
 *    CDataFactory -- templatized base class for data loaders, providing
 *                    standard entry hooks
 */

/*
#include <gui/core/plugin_factory.hpp>
#include <gui/core/project_service.hpp>
#include <gui/objects/PluginArgSet.hpp>
#include <gui/objects/PluginCommand.hpp>

BEGIN_NCBI_SCOPE


template <class DataType>
class CDataFactory : public CPluginFactory<DataType>
{
public:
    virtual CPluginBase* Create(void)
    {
        return new DataType;
    }
};


// Macros for easily defining and registering unique factory names and
// instances
#define DECLARE_DATA_FACTORY(name) \
    static CDataFactory<name> s_DataFactory_##name

#define REGISTER_DATA_PLUGIN(name) \
    plugins.push_back(&s_DataFactory_##name)


END_NCBI_SCOPE
*/

#endif  // GUI_CORE___DLOAD_FACTORY__HPP
