#error don't include me
#ifndef GUI_CORE_CONFIG_PANEL__HPP
#define GUI_CORE_CONFIG_PANEL__HPP

/*  $Id: config_panel.hpp 16214 2008-02-29 02:44:06Z dicuccio $
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * Authors:  Robert G. Smith
 *
 * File Description:
 *  IConfigPanel   - the interface for a gui widget that can be included
 *  in a configuration/preference dialog, mediated by IConfigMediator.
 *
 */

#include <corelib/ncbiobj.hpp>

class wxWindow;

BEGIN_NCBI_SCOPE

class IConfigPanel : public CObject
{
public:
    virtual wxWindow*  CreateConfigPanel(wxWindow* parent) = 0;

};

END_NCBI_SCOPE

#endif  /* GUI_CORE_CONFIG_PANEL__HPP */
