# $Id: Makefile.demo_align_multiple_wx.app 28035 2013-05-06 20:58:55Z rafanovi $

APP = demo_align_multiple_wx

PROJ_TAG = demo

SRC = align_multiple_demo_app align_multiple_demo_dlg

LIB = w_aln_multi w_gl w_data w_aln_score w_wx gui_objutils variation gui_opengl gui_print \
      gui_utils$(DLL) xalgoalignutil xalgoseq snputil xmlwrapp $(EUTILS_LIBS) \
      variation valerr taxon1 entrezgene biotree entrez2cli entrez2 submit \
      $(BLAST_LIBS) xqueryparse ximage xregexp $(PCRE_LIB) \
      $(OBJMGR_LIBS:ncbi_%=ncbi_%$(DLL))

LIBS = $(WXWIDGETS_GL_LIBS) $(WXWIDGETS_LIBS) $(GLEW_LIBS) $(OPENGL_LIBS) \
	   $(LIBXSLT_LIBS) $(LIBXML_LIBS) $(IMAGE_LIBS) $(PCRE_LIBS) $(CMPRS_LIBS) \
	   $(FTGL_LIBS) $(GLEW_LIBS) $(NETWORK_LIBS) $(DL_LIBS) $(ORIG_LIBS)

CPPFLAGS = $(FTGL_INCLUDE) $(ORIG_CPPFLAGS) $(GLEW_INCLUDE) $(OPENGL_INCLUDE) $(WXWIDGETS_INCLUDE)

REQUIRES = objects OpenGL wxWidgets WinMain -LimitedLinker
