# $Id: Makefile.phylo_tree_cgi_demo.app 26701 2012-10-26 18:06:01Z falkrb $

APP = demo_phylo_tree.cgi

PROJ_TAG = demo

ASN_DEP = biotree

SRC = phylo_tree_cgi

LIB_in = w_phylo_tree \
		 w_gl w_wx w_data gui_graph gui_opengl \
         gui_glmesa gui_print gui_config gui_objutils variation snputil gui_utils \
         xalgophytree xqueryparse fastme \
         ximage xalnmgr $(XFORMAT_LIBS) tables biotree xobjutil \
         xregexp xcgi xhtml xconnserv xconnect $(COMPRESS_LIBS) $(SOBJMGR_LIBS) \
		 xmlwrapp $(EUTILS_LIBS)

LIB = $(LIB_in:%=%$(STATIC))

LIBS = $(WXWIDGETS_GL_LIBS) $(WXWIDGETS_LIBS) $(FTGL_LIBS) $(OSMESA_LIBS) $(GLEW_LIBS) \
	   $(LIBXSLT_LIBS) $(LIBXML_LIBS) $(IMAGE_LIBS) $(CMPRS_LIBS) \
       $(NETWORK_LIBS) $(PCRE_LIBS) $(DL_LIBS) $(ORIG_LIBS)

CPPFLAGS = $(WXWIDGETS_INCLUDE) $(GLEW_INCLUDE) $(ORIG_CPPFLAGS)

LDFLAGS = $(FAST_LDFLAGS)

REQUIRES = MESA

WATCHERS = dicuccio
