# $Id: Makefile.demo_flatfile_widget.app 26436 2012-09-17 17:41:50Z kornbluh $

APP = demo_flatfile_widget

PROJ_TAG = demo


SRC = flatfile_demo_app flat_file_demo_dlg

CPPFLAGS = $(WXWIDGETS_INCLUDE) $(ORIG_CPPFLAGS)

LIB = w_seq w_text_widget w_wx gui_objutils variation gui_opengl gui_print \
      gui_utils$(DLL) xalgoalignutil xalgoseq snputil xmlwrapp $(EUTILS_LIBS) \
      $(XFORMAT_LIBS) valerr taxon1 entrezgene biotree gbseq entrez2cli entrez2 \
      submit $(BLAST_LIBS) xqueryparse ximage xregexp $(PCRE_LIB) \
      dbapi_driver$(DLL) $(OBJMGR_LIBS:ncbi_%=ncbi_%$(DLL))

LIBS = $(WXWIDGETS_LIBS) $(OPENGL_LIBS) $(IMAGE_LIBS) \
       $(LIBXSLT_LIBS) $(LIBXML_LIBS) $(PCRE_LIBS) $(CMPRS_LIBS) \
       $(NETWORK_LIBS) $(DL_LIBS) $(ORIG_LIBS)

REQUIRES = objects wxWidgets WinMain

