/* $Id: atomic32.h 15344 2013-04-10 15:57:48Z ucko $ */

#ifdef __GNUC__
#  ifdef __i386__
#    include <cc/gcc/i386/atomic32.h>
#  elif defined(__x86_64__)
#    include <cc/gcc/x86_64/atomic32.h>
#  elif defined(__ppc__) || defined(__powerpc__)
#    include <cc/gcc/ppc32/atomic32.h>
#  endif
#endif

#ifndef _h_atomic32_
#  if defined(__SunOS)  ||  defined(__sun__)
#    include <os/sun/atomic32.h>
#  elif defined(_WIN32)
#    include <os/win/atomic32.h>
#  else
#    error "Unsupported platform"
#  endif
#endif
