/* $Id: syslock.c 15344 2013-04-10 15:57:48Z ucko $ */

#ifdef NCBI_WITHOUT_MT
#  include "stlock.c"
#elif defined(__linux__)
#  include "linux/syslock.c"
#elif defined(__FreeBSD__)  ||  defined(__NetBSD__)  ||  defined(__OpenBSD__) \
  ||  defined(__APPLE__)
#  include "bsd/syslock.c"
#elif defined(__SunOS)  ||  defined(__sun__)
#  include "sun/syslock.c"
#elif defined(_WIN32)
#  include "win/syslock.c"
#else
#  ifdef __GNUC__
#    warning "Unsupported OS; falling back to ST lock"
#  endif
#  include "stlock.c"
#endif
